<?php
function watermark($image, $text, $save){
$font = 'njnaruto.ttf';
$compress = '95'; //chất lượng nén ảnh, tính bằng %
$gocquay= '0';//goc quay
$size = '15'; // Cỡ chữ
$tcolor = 'ff0000';//màu chữ dạng hex

$a = imagettfbbox($size, $gocquay, $font, $text);
$width = abs($a[0]) + abs($a[2]);//chiều rộng text
$height = abs($a[5])+abs($a[1]);//chiều cao text

$info = getimagesize($image);
$mime = $info[mime];
$h = $info[1];
$w = $info[0];
if($w>=$width+4){

if($mime=='image/png'){
$im = imagecreatefrompng($image);
}
elseif($mime=='image/jpeg'){
$im = imagecreatefromjpeg($image);
}
elseif($mime=='image/gif'){
$im = imagecreatefromgif($image);
}
$new_h = $h+$height;//chiều cao của hình ảnh mới

$new_im= imagecreatetruecolor($w, $new_h); //tạo ảnh mới
$white = imagecolorallocate($new_im, 255, 255, 255);
imagefill($new_im, 0, 0, $white); //tô màu trắng
imagecolortransparent($new_im, $white);

$redtext = hexdec(substr($tcolor, 1, 2));
$greentext = hexdec(substr($tcolor, 3, 2));
$bluetext = hexdec(substr($tcolor, 5, 2));
$text_color = imagecolorallocate($new_im, $redtext, $greentext, $bluetext);//màu text

imagettftext($new_im, $size, $gocquay, $w-$width-2, $h+abs($a[5]), $text_color, $font, $text);//in text lên ảnh mới

imagealphablending($new_im,false);
imagesavealpha($new_im,true);

imagecopy ($new_im, $im, 0, 0, 0, 0, $w, $h); //copy ảnh cần đóng dấu vào ảnh mới

if($mime=='image/png'){
imagepng($new_im, $save);
}
elseif($mime=='image/jpeg'){
imagejpeg($new_im, $save, $compress);
}
elseif($mime=='image/gif'){
imagegif($new_im, $save);
}

}else{
copy($image,$save);}

}//endfunc

function watermark2($image, $text, $save){
$font = 'Thuphap1.ttf';
$compress = '95'; //chất lượng nén ảnh, tính bằng %
$gocquay= '0';//goc quay
$size = '15'; // Cỡ chữ
$tcolor = 'ff0000';//màu chữ dạng hex
$a = imagettfbbox($size, $gocquay, $font, $text);
$width = abs($a[0]) + abs($a[2]);//chiều rộng text
$height = abs($a[5])+abs($a[1]);//chiều cao text
$info = getimagesize($image);
$mime = $info[mime];
$h = $info[1];
$w = $info[0];
if($w>$width+4&&$h>$height){

if($mime=='image/png'){
$im = imagecreatefrompng($image);
}
elseif($mime=='image/jpeg'){
$im = imagecreatefromjpeg($image);
}
elseif($mime=='image/gif'){
$im = imagecreatefromgif($image);
}

$redtext = hexdec(substr($tcolor, 1, 2));
$greentext = hexdec(substr($tcolor, 3, 2));
$bluetext = hexdec(substr($tcolor, 5, 2));
$text_color = imagecolorallocate($im, $redtext, $greentext, $bluetext);//màu text

imagettftext($im, $size, $gocquay, $w-$width-2, $h-2, $text_color, $font, $text);//in text lên ảnh

imagealphablending($im,false);
imagesavealpha($im,true);

if($mime=='image/png'){
imagepng($im, $save);
}
elseif($mime=='image/jpeg'){
imagejpeg($im, $save, $compress);
}
elseif($mime=='image/gif'){
imagegif($im, $save);
}

}else{
copy($image, $save);}
}//endfunc

function watermark3($image, $save){
$compress = '95';//chất lượng nén của jpeg
$marge_right = '0';
$marge_bottom = '0';
$stamp = imagecreatefrompng('logo.png');
$width = imagesx($stamp);
$height = imagesy($stamp);
$info = getimagesize($image);
$mime = $info[mime];
$h = $info[1];
$w = $info[0];

$marge_r = $marge_right*2;
$marge_b = $marge_bottom*2;
if($w>$width+$marge_r&&$h>$height+$marge_b){

if($mime=='image/png'){
$im = imagecreatefrompng($image);
}
elseif($mime=='image/jpeg'){
$im = imagecreatefromjpeg($image);
}
elseif($mime=='image/gif'){
$im = imagecreatefromgif($image);
}

imagecopy($im, $stamp, $w - $width - $marge_right, $h - $height - $marge_bottom, 0, 0, $width, $height);
imagealphablending($im,false);
imagesavealpha($im,true);

if($mime=='image/png'){
imagepng($im, $save);
}
elseif($mime=='image/jpeg'){
imagejpeg($im, $save, $compress);
}
elseif($mime=='image/gif'){
imagegif($im, $save);
}

}else{
copy($image, $save);}
}

?>